<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: C:/Data/Git/MeLOn/common/inc/vectorarithmetics.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('vectorarithmetics_8h.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">vectorarithmetics.h File Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;vector&gt;</code><br />
<code>#include &lt;numeric&gt;</code><br />
<code>#include &lt;algorithm&gt;</code><br />
<code>#include &lt;cassert&gt;</code><br />
</div>
<p><a href="vectorarithmetics_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="namespaces" name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacemelon" id="r_namespacemelon"><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemelon.html">melon</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a80e855bf708cd67182f551d005dea25e" id="r_a80e855bf708cd67182f551d005dea25e"><td class="memTemplParams" colspan="2">template&lt;typename T , typename U &gt; </td></tr>
<tr class="memitem:a80e855bf708cd67182f551d005dea25e"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacemelon.html#a80e855bf708cd67182f551d005dea25e">melon::operator+</a> (const std::vector&lt; T &gt; &amp;v1, const std::vector&lt; U &gt; &amp;v2)</td></tr>
<tr class="memdesc:a80e855bf708cd67182f551d005dea25e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Overloaded operator for vector class allowing adding vectors.  <br /></td></tr>
<tr class="separator:a80e855bf708cd67182f551d005dea25e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2653a81de37c679fc48d8303b202614" id="r_ab2653a81de37c679fc48d8303b202614"><td class="memTemplParams" colspan="2">template&lt;typename T , typename U &gt; </td></tr>
<tr class="memitem:ab2653a81de37c679fc48d8303b202614"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacemelon.html#ab2653a81de37c679fc48d8303b202614">melon::operator+</a> (const std::vector&lt; T &gt; &amp;v, const U s)</td></tr>
<tr class="memdesc:ab2653a81de37c679fc48d8303b202614"><td class="mdescLeft">&#160;</td><td class="mdescRight">Overloaded operator for vector class allowing adding scalars to vectors.  <br /></td></tr>
<tr class="separator:ab2653a81de37c679fc48d8303b202614"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b23af0670582490d233e2cfa02bbf7a" id="r_a2b23af0670582490d233e2cfa02bbf7a"><td class="memTemplParams" colspan="2">template&lt;typename T , typename U &gt; </td></tr>
<tr class="memitem:a2b23af0670582490d233e2cfa02bbf7a"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacemelon.html#a2b23af0670582490d233e2cfa02bbf7a">melon::operator-</a> (std::vector&lt; T &gt; &amp;v1, std::vector&lt; U &gt; &amp;v2)</td></tr>
<tr class="memdesc:a2b23af0670582490d233e2cfa02bbf7a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Overloaded operator for vector class allowing substracting vectors.  <br /></td></tr>
<tr class="separator:a2b23af0670582490d233e2cfa02bbf7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7bdd489b771e3b35186e3a89fc4520ad" id="r_a7bdd489b771e3b35186e3a89fc4520ad"><td class="memTemplParams" colspan="2">template&lt;typename T , typename U &gt; </td></tr>
<tr class="memitem:a7bdd489b771e3b35186e3a89fc4520ad"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacemelon.html#a7bdd489b771e3b35186e3a89fc4520ad">melon::operator-</a> (const std::vector&lt; T &gt; &amp;v, const U s)</td></tr>
<tr class="memdesc:a7bdd489b771e3b35186e3a89fc4520ad"><td class="mdescLeft">&#160;</td><td class="mdescRight">Overloaded operator for vector class allowing substracting scalars from vectors.  <br /></td></tr>
<tr class="separator:a7bdd489b771e3b35186e3a89fc4520ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01c6cf5e8fc7f903c966ed77d3582789" id="r_a01c6cf5e8fc7f903c966ed77d3582789"><td class="memTemplParams" colspan="2">template&lt;typename T , typename U &gt; </td></tr>
<tr class="memitem:a01c6cf5e8fc7f903c966ed77d3582789"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacemelon.html#a01c6cf5e8fc7f903c966ed77d3582789">melon::operator*</a> (const T &amp;s, const std::vector&lt; U &gt; &amp;v)</td></tr>
<tr class="memdesc:a01c6cf5e8fc7f903c966ed77d3582789"><td class="mdescLeft">&#160;</td><td class="mdescRight">Overloaded operator for vector class allowing the calulation of a vector scalar product.  <br /></td></tr>
<tr class="separator:a01c6cf5e8fc7f903c966ed77d3582789"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae6d2a726febc6962b2b4b60fe1bb472" id="r_aae6d2a726febc6962b2b4b60fe1bb472"><td class="memTemplParams" colspan="2">template&lt;typename T , typename U &gt; </td></tr>
<tr class="memitem:aae6d2a726febc6962b2b4b60fe1bb472"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacemelon.html#aae6d2a726febc6962b2b4b60fe1bb472">melon::operator*</a> (const std::vector&lt; T &gt; &amp;v, const U &amp;s)</td></tr>
<tr class="memdesc:aae6d2a726febc6962b2b4b60fe1bb472"><td class="mdescLeft">&#160;</td><td class="mdescRight">Overloaded operator for vector class allowing the calulation of a vector scalar product.  <br /></td></tr>
<tr class="separator:aae6d2a726febc6962b2b4b60fe1bb472"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24bae557d935851e04ec91570cdf6b46" id="r_a24bae557d935851e04ec91570cdf6b46"><td class="memTemplParams" colspan="2">template&lt;typename T , typename U &gt; </td></tr>
<tr class="memitem:a24bae557d935851e04ec91570cdf6b46"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacemelon.html#a24bae557d935851e04ec91570cdf6b46">melon::operator/</a> (const std::vector&lt; T &gt; &amp;v, const U &amp;s)</td></tr>
<tr class="memdesc:a24bae557d935851e04ec91570cdf6b46"><td class="mdescLeft">&#160;</td><td class="mdescRight">Overloaded operator for vector class allowing the calulation of a vector scalar division.  <br /></td></tr>
<tr class="separator:a24bae557d935851e04ec91570cdf6b46"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cb84438576c7ac32cbe6f10b3e9e2b3" id="r_a9cb84438576c7ac32cbe6f10b3e9e2b3"><td class="memTemplParams" colspan="2">template&lt;typename T , typename U &gt; </td></tr>
<tr class="memitem:a9cb84438576c7ac32cbe6f10b3e9e2b3"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacemelon.html#a9cb84438576c7ac32cbe6f10b3e9e2b3">melon::dot_product</a> (const std::vector&lt; T &gt; &amp;v1, const std::vector&lt; U &gt; &amp;v2)</td></tr>
<tr class="memdesc:a9cb84438576c7ac32cbe6f10b3e9e2b3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Overloaded operator for vector class allowing the calulation of dot product of two vectors.  <br /></td></tr>
<tr class="separator:a9cb84438576c7ac32cbe6f10b3e9e2b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adfc1c64d377bc9a21eea10b08a2812bd" id="r_adfc1c64d377bc9a21eea10b08a2812bd"><td class="memTemplParams" colspan="2">template&lt;typename T , typename U &gt; </td></tr>
<tr class="memitem:adfc1c64d377bc9a21eea10b08a2812bd"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacemelon.html#adfc1c64d377bc9a21eea10b08a2812bd">melon::operator*</a> (const std::vector&lt; std::vector&lt; T &gt; &gt; &amp;m, const std::vector&lt; U &gt; &amp;v)</td></tr>
<tr class="memdesc:adfc1c64d377bc9a21eea10b08a2812bd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Overloaded operator for vector class allowing the calulation of a matrix vector product.  <br /></td></tr>
<tr class="separator:adfc1c64d377bc9a21eea10b08a2812bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40328bd6fab65711cf52ef704a727e63" id="r_a40328bd6fab65711cf52ef704a727e63"><td class="memTemplParams" colspan="2">template&lt;typename T , typename U &gt; </td></tr>
<tr class="memitem:a40328bd6fab65711cf52ef704a727e63"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacemelon.html#a40328bd6fab65711cf52ef704a727e63">melon::operator*</a> (const std::vector&lt; std::vector&lt; T &gt; &gt; &amp;m1, const std::vector&lt; std::vector&lt; U &gt; &gt; &amp;m2)</td></tr>
<tr class="memdesc:a40328bd6fab65711cf52ef704a727e63"><td class="mdescLeft">&#160;</td><td class="mdescRight">Overloaded operator for vector class allowing the calulation of a matrix matrix product.  <br /></td></tr>
<tr class="separator:a40328bd6fab65711cf52ef704a727e63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa014086872bff2237b6ffa78096b593f" id="r_aa014086872bff2237b6ffa78096b593f"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:aa014086872bff2237b6ffa78096b593f"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacemelon.html#aa014086872bff2237b6ffa78096b593f">melon::transpose</a> (const std::vector&lt; std::vector&lt; T &gt; &gt; &amp;m)</td></tr>
<tr class="memdesc:aa014086872bff2237b6ffa78096b593f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Overloaded operator for vector class allowing to transpose a matrix.  <br /></td></tr>
<tr class="separator:aa014086872bff2237b6ffa78096b593f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16df369db8ed77a096d88bcac6c37487" id="r_a16df369db8ed77a096d88bcac6c37487"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a16df369db8ed77a096d88bcac6c37487"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacemelon.html#a16df369db8ed77a096d88bcac6c37487">melon::diag</a> (const std::vector&lt; std::vector&lt; T &gt; &gt; &amp;m)</td></tr>
<tr class="memdesc:a16df369db8ed77a096d88bcac6c37487"><td class="mdescLeft">&#160;</td><td class="mdescRight">Overloaded operator for vector class allowing to obtain a matrix diagonal.  <br /></td></tr>
<tr class="separator:a16df369db8ed77a096d88bcac6c37487"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_bdd9a5d540de89e9fe90efdfc6973a4f.html">common</a></li><li class="navelem"><a class="el" href="dir_a065f42410ce59d310ee6ca453a28844.html">inc</a></li><li class="navelem"><a class="el" href="vectorarithmetics_8h.html">vectorarithmetics.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
